
Application: gvSIG desktop - gvSIG bugs #2589
No genera correctamente las tablas al exportar a postgresql.
06/23/2014 04:58 PM - Joaquín  del Cerro Murciano

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category: Database
Target version: 2.1.0-2230-testing
Severity: Critical Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

A exportar a postgresq una capa no genera correctamente el tipo de dato de la geometria. Dea la geometria sin especificr el tio de
geometria de que se trata.

Al parecer habia un probema deribado de que en un shape cuando se indica que es de lineas o poligonos este puede amacenar tanto
lineas como multilineas (y o mismo para los poligonos), y el driver de shape siempre informa de que la capa es multi, aunque las
geometrias uego no lo sean.

Al ir a guardar la capa en postgresql, si se define de tipo multilinea, l guardar lineas falla, y para evitarlo se declaro el campo
geometria de la tabla como GEOMETRY en lugar de MULTILINEA.

He dejado el codigo para que declare la geometria de la tabla del tipo que dice la capa que queremos exportar, y en el momento de
escribir cada geometria si es preciso se transforma a multi.

Related issues:
Duplicated by Application: gvSIG desktop - gvSIG bugs # 2599: Al exortar a po... Closed 06/26/2014

History
#1 - 06/27/2014 09:49 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2230-testing

#2 - 06/27/2014 01:34 PM - Joaquín  del Cerro Murciano
- Duplicated by gvSIG bugs #2599: Al exortar a postgreSQL siempre genera geometrias de tipo GEOMETRY added

#3 - 07/02/2014 04:37 AM - Álvaro Anguix
- Status changed from Fixed to Closed
